Record destination consent
curl --request POST \
--url https://api.pyai.com/v1/telephony/compliance/consents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": "+14155550123",
"purposes": [],
"timezone": "America/Los_Angeles",
"evidence_ref": "<string>",
"captured_at": 123,
"expires_at": 123
}
'import requests
url = "https://api.pyai.com/v1/telephony/compliance/consents"
payload = {
"destination": "+14155550123",
"purposes": [],
"timezone": "America/Los_Angeles",
"evidence_ref": "<string>",
"captured_at": 123,
"expires_at": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination: '+14155550123',
purposes: [],
timezone: 'America/Los_Angeles',
evidence_ref: '<string>',
captured_at: 123,
expires_at: 123
})
};
fetch('https://api.pyai.com/v1/telephony/compliance/consents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>"
}
}Telephony
Record destination consent
Store tenant-scoped consent evidence. Sales requires express written consent. The response masks the destination.
POST
/
v1
/
telephony
/
compliance
/
consents
Record destination consent
Authorizations
apiKeyxApiKey
Use Authorization: Bearer pyai_live_... (or pyai_test_...).
Body
application/json
Example:
"+14155550123"
Available options:
express, express_written Available options:
transactional, support, sales, collections, survey Example:
"America/Los_Angeles"
Response
Consent recorded
⌘I